@echo off
if "" == "%1" goto error
if not exist %1\amate.* if not exist %1\*.dll goto error
extract /U:%1 bwcc.$00
extract /U:%1 pxengwin.$00
extract /U:%1 accusoft.$00
goto end

:error
echo DLL.BAT
echo This program uncompresses the DLL files from the installation
echo diskette to the specified directory.  You should not run this
echo program unless you cannot run AddressMate on your system and
echo CoStar Technical Support has instructed you to do so.
echo .
echo SYNTAX:   DLL DestinationDirectory
echo .
echo For example:   DLL C:\AMATE
echo .

:end
